Get details of a specific resource budget

View as Markdown

Permissions: Any authenticated user with an Air scope.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this resource budget.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
org_display_namestringRead-only
Display name of the NGC organization.
org_nca_idstringRead-only
NCA ID of the organization.
ngc_org_namestringRead-only
NGC Organization Name of the organization.
org_idstringRead-onlyformat: "uuid"
The organization this budget belongs to.
cpudoubleRead-onlyDefaults to 300

Total number of CPU cores the org is permitted to concurrently use. This is determined by the grants/SKUs associated with the org.

memorydoubleRead-onlyDefaults to 307200

Total amount of memory (in MiB) the org is permitted to concurrently use. This is determined by the grants/SKUs associated with the org.

disk_storage_totaldoubleRead-onlyDefaults to 10000

Total amount of disk storage (in GB) the org is permitted to concurrently use. This is determined by the grants/SKUs associated with the org.

disk_storage_per_nodeinteger>=0
Amount of disk storage for a single node, in GB.
image_storageinteger>=0
Amount of image storage, in GB.
userconfigsinteger>=0
Amount of total UserConfig content, in bytes.
total_compute_hoursdoubleRead-onlyDefaults to 0
Total compute hours the organization has been granted, including the compute hours it has already consumed. Grants which were voided or which have expired are not counted.
remaining_compute_hoursdoubleRead-onlyDefaults to 0

Semi-reliable cached estimate of the compute hours the organization has left to spend out of total_compute_hours.

usageobject
The cumulative amount of resources which the org is currently using across all simulations in Air.
has_paid_skusbooleanRead-only

Whether the organization has any paid SKUs. Paid SKUs are: 797-IAIRS1, 797-IAIRS2, 797-IAIRS3, 797-IAIRS4, 797-IAIRS5.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error